// rdparse_main.cpp
// Glenn G. Chappell
// 8 Feb 2013
//
// For CS 331 Spring 2013
// Quick main program for class RDParse

#include "rdparse.h"  // For class RDParse
#include <iostream>
using std::cout;
using std::endl;
#include <string>
using std::string;


// main
// Use class RDParse
int main()
{
    string input = "([ed_3r : 34, -1, 6.28])";
                        // String to be parsed

    cout << "Input:" << endl;
    cout << input << endl;
    cout << endl;

    RDParse p(input);  // Our parser

    if (p.parse())
    {
        if (p.done())
        {
            cout << "Parsed: CORRECT!" << endl;
        }
        else
        {
            cout << "Parsed: correct, but extra characters past end"
                 << endl;
        }
    }
    else
    {
        cout << "Parsed: incorrect" << endl;
    }

    return 0;
}

